apiVersion: v1
kind: Template
labels:
  app: escomrade
  template: escomrade-buildconfig-with-secret
metadata:
  annotations:
    description: ESComrade database - BuildConfig with Secret
    iconClass: icon-openshift
    openshift.io/display-name: ESComrade
    tags: escomrade
  name: escomrade-buildconfig-with-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-username: "{.data['username']}"
    name: git-escomrade-${ESCOMRADE_REPOSITORY_REF}
  stringData:
    username: "${GIT_DEPLOYMENT_TOKEN}"
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds ESComrade images
    labels:
      name: escomrade-${ESCOMRADE_REPOSITORY_REF}
    name: escomrade-${ESCOMRADE_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 300m
        memory: 1536Mi
    source:
      contextDir: /
      git:
        uri: ${ESCOMRADE_REPOSITORY_URL}
        ref: "${ESCOMRADE_REPOSITORY_REF}"
      sourceSecret:
        name: git-escomrade-${ESCOMRADE_REPOSITORY_REF}
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
        from:
          kind: ImageStreamTag
          name: ${NODEJS_IMAGESTREAM_TAG}
    output:
      to:
        kind: ImageStreamTag
        name: escomrade:${ESCOMRADE_REPOSITORY_REF}
    triggers:
    - type: ConfigChange
    - type: ImageChange
parameters:
- name: ESCOMRADE_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: ESCOMRADE_REPOSITORY_URL
  description: The URL of the repository with your escomrade Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-escomrade.git
- name: GIT_DEPLOYMENT_TOKEN
  description: Git deployment token
  displayName: Git Deployment Token
  required: true
- name: NODEJS_IMAGESTREAM_TAG
  description: Set this to NodeJS ImageStream tag serving as base for ESComrade BuildConfig
  displayName: NodeJS ImageStream Tag
  required: true
  value: nodejs:master
